package ru.amse.baltijsky.javascheme.tree;

import ru.amse.baltijsky.javascheme.nodeshape.INodeShape;
import ru.amse.baltijsky.javascheme.nodeshape.NoShape;

public class FinallyNode extends NestingNode {
    public FinallyNode() {
    }

    public FinallyNode(SchemaNode parentNode, SchemaNode prevNode) {
        super(parentNode, prevNode);
    }

    public FinallyNode(SchemaNode parentNode, SchemaNode prevNode, String[] s) {
        super(parentNode, prevNode, s);
    }

    public FinallyNode(String[] s) {
        super(s);
    }

    public NodeType getNodeType() {
        return NodeType.FINALLY;
    }

    public INodeShape getShape() {
        return new NoShape("");
    }
}
